#
%define		srcname		geronimo-spec-jaxrpc
%include	/usr/lib/rpm/macros.java
Summary:	Geronimo spec jaxrpc
Name:		java-geronimo-spec-jaxrpc
Version:	1.1
Release:	3
License:	Apache v2.0
Group:		Libraries/Java
# svn export http://svn.apache.org/repos/asf/geronimo/specs/branches/1_1/geronimo-spec-jaxrpc java-greonimo-spec-jaxrpc-1.1
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	630138565166448cd8190d2a82356dce
URL:		http://svn.clazzes.org/svn/odtransform/
BuildRequires:	java(servlet)
BuildRequires:	jdk
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java(servlet)
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geronimo spec jaxrpc.

%prep
%setup -q

%build
required_jars="servlet-api"
CLASSPATH=$(build-classpath $required_jars)
find -name '*.java' | xargs %javac -cp $CLASSPATH
cd src/main/java
find -name '*.class' | xargs %jar cf ../../../%{srcname}-%{version}.jar

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar
%changelog
* Tue Jan 23 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/java-geronimo-spec-jaxrpc.git;a=log;h=master

* Wed May 19 2010 pawelz <pawelz@pld-linux.org> 9f8bc75
- rel 3

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> e11ce78
- dropped BR: jar. It is implied by BR: jdk
- unified java deps

* Sat Apr 17 2010 Jacek Konieczny <jajcus@pld-linux.org> 4312ca0
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

* Fri Aug 21 2009 pawelz <pawelz@pld-linux.org> 2cb5595
- unified java deps and required jar names
- rel 2

* Tue Aug 18 2009 pawelz <pawelz@pld-linux.org> 4c2ced2
- use java_sun. It does not compile with gcj.

* Tue Aug 18 2009 pawelz <pawelz@pld-linux.org> 01da3c4
- rel 1

* Tue Aug 18 2009 pawelz <pawelz@pld-linux.org> a321273
- execute jar in correct dir, so paths inside jar will match java package names.

* Mon Aug 17 2009 pawelz <pawelz@pld-linux.org> b04a5e7
- init

